function fig = gui_fl_dlasynthesis()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

% Modified by Christian Choque Cortez, November 2009

% FracLab 2.05 Beta, Copyright  1996 - 2009 by INRIA
% -- --
% For details on use and redistribution refer to $fraclab/licence.txt
%--------------------------------------------------------------------------

a = figure('Name','dla Synthesis','Tag','Fig_gui_fl_dlasynthesis',...
    'MenuBar','none','IntegerHandle','off','NumberTitle','off', ...
    'Position',[20 50 380 250]);

%%%%%%%%%%%%%%%%%%% CREATE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','frame','Tag','Frame_title' , ...
	'Units','normalized',...
	'Position',[0.023 0.84 0.96 0.12]);

uicontrol('Parent',a,'Style','frame','Tag','Frame_input',...
	'Units','normalized',...
	'Position',[0.023 0.18 0.96 0.64]);

%%%%%%%%%%%%%%%%%%% TITLE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_title',...
	'Units','normalized', 'Position',[0.06 0.85 0.9 0.08],...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.6,...
	'String','Diffusion Limited Aggregation');

%%%%%%%%%%%%%%%%%%%% GLOBAL PARAMETERS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_predefined', ...
	'Units','normalized','Position',[0.33 0.68 0.26 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Predefined values');

uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_predefined', ...
	'Units','normalized','Position',[0.63 0.7 0.2 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String',{ 'X-Small' 'Small' 'Medium' 'Large' 'X-Large' },...
   	'Value',3, ...
    'Callback','fl_dlasynthesis_compute(''popmenu_predefined'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_sample', ...
	'Units','normalized','Position',[0.04 0.55 0.26 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Size of simulation');
	
uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_sample', ...
	'Units','normalized','Position',[0.33 0.57 0.3 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String',{'8 points','16 points','32 points','64 points','128 points',...
              '256 points','512 points','1024 points'}, ...
	'Value',6, ...
    'Callback','fl_dlasynthesis_compute(''popmenu_sample'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_sample', ...
	'Units','normalized','Position',[0.8 0.56 0.17 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','256', ...
    'Callback','fl_dlasynthesis_compute(''edit_sample'');');

uicontrol('Parent',a,'Style','text','Tag','StaticText_particles', ...
	'Units','normalized','Position',[0.04 0.43 0.26 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','# Particles');
		
uicontrol('Parent',a,'Style','edit','Tag','EditText_particles', ...
	'Units','normalized','Position',[0.33 0.45 0.17 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','10000', ...
    'Callback','fl_dlasynthesis_compute(''edit_particles'');');
	
uicontrol('Parent',a,'Style','text','Tag','StaticText_moves', ...
	'Units','normalized','Position',[0.56 0.43 0.26 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','# Moves');
		
uicontrol('Parent',a,'Style','edit','Tag','EditText_moves', ...
	'Units','normalized','Position',[0.8 0.45 0.17 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','2000', ...
    'Callback','fl_dlasynthesis_compute(''edit_moves'');');

uicontrol('Parent',a,'Style','text','Tag','StaticText_launch', ...
	'Units','normalized','Position',[0.04 0.32 0.27 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Launching Radius');
		
uicontrol('Parent',a,'Style','edit','Tag','EditText_launch', ...
	'Units','normalized','Position',[0.33 0.34 0.17 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1', ...
	'Callback','fl_dlasynthesis_compute(''edit_launch'');');
	
uicontrol('Parent',a,'Style','text','Tag','StaticText_kill', ...
	'Units','normalized','Position',[0.56 0.32 0.26 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Killing Radius');
		
uicontrol('Parent',a,'Style','edit','Tag','EditText_kill', ...
	'Units','normalized','Position',[0.8 0.34 0.17 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','20', ...
    'Callback','fl_dlasynthesis_compute(''edit_kill'');');	

uicontrol('Parent',a,'Style','text','Tag','StaticText_stick', ...
	'Units','normalized','Position',[0.04 0.2 0.3 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Sticking probability');
		
uicontrol('Parent',a,'Style','edit','Tag','EditText_stick', ...
	'Units','normalized','Position',[0.33 0.21 0.17 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1', ...
	'Callback','fl_dlasynthesis_compute(''edit_stick'');');

uicontrol('Parent',a,'Style','text','Tag','StaticText_visu', ...
	'Units','normalized','Position',[0.56 0.2 0.26 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Visu');

uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_visu', ...
	'Units','normalized','Position',[0.65 0.22 0.32 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String',{'slow' 'extremely slow' 'No visu' },...
   	'Value',1);

%%%%%%%%%%%%%%%%%%%% COMPUTE/HELP/CLOSE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Tag','Button_compute', ...
	'Units','normalized','Position',[0.025 0.03 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Compute', ....
    'Callback','eval([''global '' fl_dlasynthesis_compute(''compute'',who)])');

uicontrol('Parent',a,'Tag','Button_help', ...
	'Units','normalized','Position',[0.4 0.03 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Help', ...
    'Callback','fl_dlasynthesis_compute(''help'')');

uicontrol('Parent',a,'Tag','Button_close', ...
	'Units','normalized','Position',[0.75 0.03 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Close', ...
    'Callback','fl_dlasynthesis_compute(''close'')');

fl_window_init(a);	
if nargout > 0, fig = a; end
