function fig = gui_fl_fbm2d()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

% Modified by Christian Choque Cortez, March 2009

% FracLab 2.05 Beta, Copyright  1996 - 2009 by INRIA
% -- --
% For details on use and redistribution refer to $fraclab/licence.txt
%--------------------------------------------------------------------------

a = figure( 'Name','fbm Synthesis - 2D','Tag','Fig_gui_fl_fbmsynthesis2d',...
	'MenuBar','none','IntegerHandle','off','NumberTitle','off', ...
	'Position',[20 50 300 250]);

%%%%%%%%%%%%%%%%%%% CREATE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','frame','Tag','Frame_title', ...
	'Units','normalized','Position',[0.02 0.8 0.96 0.12]);

uicontrol('Parent',a,'Style','frame','Tag','Frame_input', ...
	'Units','normalized','Position',[0.02 0.25 0.96 0.5]);

%%%%%%%%%%%%%%%%%%% TITLE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_title', ...
	'Units','normalized','Position',[0.06 0.81 0.9 0.08], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.6, ...
	'String','Fractional Brownian Motion Synthesis 2D');

%%%%%%%%%%%%%%%%%%%% GLOBAL PARAMETERS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_exponent', ...
	'Units','normalized','Position',[0.05 0.55 0.31 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Holder exponent');

uicontrol('Parent',a,'Style','slider','Tag','Slider_exponent', ...
	'Units','normalized','Position',[0.42 0.57 0.3 0.08], ...
	'Value',0.5, ...
    'Callback','fl_fbm2d_compute(''slider_exponent'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_exponent', ...
	'Units','normalized','Position',[0.78 0.57 0.17 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
    'String','0.5', ...
	'Callback','fl_fbm2d_compute(''edit_exponent'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_sample', ...
	'Units','normalized','Position',[0.05 0.4 0.2 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Matrix Size');

uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_sample', ...
	'Units','normalized','Position',[0.42 0.42 0.3 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String',{'8 points','16 points','32 points','64 points','128 points',...
              '256 points','512 points','1024 points'}, ...
	'Value',5, ...
    'Callback','fl_fbm2d_compute(''popmenu_sample'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_sample', ...
	'Units','normalized','Position',[0.78 0.41 0.17 0.08], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','128', ...
    'Callback','fl_fbm2d_compute(''edit_sample'')');

%%%%%%%%%%%%%%%%%%%% COMPUTE/HELP/CLOSE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Tag','Button_compute', ...
	'Units','normalized','Position',[0.022 0.08 0.25 0.13], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Compute', ...
	'Callback','eval([''global '' fl_fbm2d_compute(''compute'',who)])');
	
uicontrol('Parent',a,'Tag','Button_help', ...
	'Units','normalized','Position',[0.38 0.08 0.25 0.13], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Help', ...
	'Callback','fl_fbm2d_compute(''help'')');

uicontrol('Parent',a,'Tag','Button_close',...
	'Units','normalized','Position',[0.73 0.08 0.25 0.13], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
	'String','Close', ...
	'Callback','fl_fbm2d_compute(''close'')');

fl_window_init(a);

if nargout > 0, fig = a; end
