function fig = gui_fl_mbmsynthesis()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

% Modified by Christian Choque Cortez, March 2009

% FracLab 2.05 Beta, Copyright  1996 - 2009 by INRIA
% -- --
% For details on use and redistribution refer to $fraclab/licence.txt
%--------------------------------------------------------------------------

a = figure( 'Name','mbm Synthesis - 1D','Tag','Fig_gui_fl_mbmsynthesis',...
	'MenuBar','none','IntegerHandle','off','NumberTitle','off', ...
	'Position',[20 50 350 270]);

%%%%%%%%%%%%%%%%%%% CREATE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','frame','Tag','Frame_title', ...
	'Units','normalized','Position',[0.023 0.83 0.96 0.12]);

uicontrol('Parent',a,'Style','frame','Tag','Frame_input', ...
	'Units','normalized','Position',[0.023 0.178 0.96 0.63]);

%%%%%%%%%%%%%%%%%%% TITLE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_title', ...
	'Units','normalized','Position',[0.06 0.84 0.9 0.08], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.6, ...
	'String','Multifractional Brownian Motion Synthesis 1D');

%%%%%%%%%%%%%%%%%%%% GLOBAL PARAMETERS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','radiobutton','Tag','RadioButton_quantifkrigeage', ...
    'Units','normalized','Position',[0.05 0.71 0.32 0.075], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','Quantifkrigeage', ...
    'Value',1, ...
    'Callback','fl_mbmsynthesis_compute(''quantifkrigeage_option'');');

uicontrol('Parent',a,'Style','radiobutton','Tag','RadioButton_levinson', ...
    'Units','normalized','Position',[0.5 0.71 0.2 0.075], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','Levinson', ...
    'Value',0, ...
    'Callback','fl_mbmsynthesis_compute(''levinson_option'');');

uicontrol('Parent',a,'Style','text','Tag','StaticText_holderexponent', ...
	'Units','normalized','Position',[0.05 0.59 0.27 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Holder function');

uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_exponent', ...
	'Units','normalized','Position',[0.56 0.61 0.4 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
    'String',{'linear', 'periodic', 'logistic', 'user defined'}, ...
	'Value',1, ...
    'Callback','fl_mbmsynthesis_compute(''popmenu_exponent'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_exponent', ...
	'Units','normalized','Position',[0.36 0.515 0.6 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','0.1+0.8*t', ...
	'Callback','fl_mbmsynthesis_compute(''edit_exponent'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_sample', ...
	'Units','normalized','Position',[0.05 0.375 0.21 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Sample Size');

uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_sample', ...
	'Units','normalized','Position',[0.36 0.4 0.3 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String',{'8 points','16 points','32 points','64 points','128 points',...
              '256 points','512 points','1024 points','2048 points','4096 points'}, ...
	'Value',8, ...
    'Callback','fl_mbmsynthesis_compute(''popmenu_sample'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_sample', ...
	'Units','normalized','Position',[0.81 0.39 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1024', ...
    'Callback','fl_mbmsynthesis_compute(''edit_sample'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_tmax', ...
	'Units','normalized','Position',[0.05 0.279 0.25 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Time support');

uicontrol('Parent',a,'Style','edit','Tag','EditText_tmax', ...
	'Units','normalized','Position',[0.36 0.295 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1', ...
	'Callback','fl_mbmsynthesis_compute(''edit_tmax'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_sigma', ...
	'Units','normalized','Position',[0.6 0.279 0.11 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Sigma');

uicontrol('Parent',a,'Style','edit','Tag','EditText_sigma', ...
	'Units','normalized','Position',[0.81 0.295 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1', ...
    'Callback','fl_mbmsynthesis_compute(''edit_sigma'')');
    
uicontrol('Parent',a,'Style','text','Tag','StaticText_seed', ...
	'Units','normalized','Position',[0.05 0.18 0.24 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Random Seed');

uicontrol('Parent',a,'Style','edit','Tag','EditText_seed', ...
	'Units','normalized', ...
	'FontUnits','normalized','FontSize',0.6, ...
	'Position',[0.36 0.2 0.15 0.075], ...
    'Callback','fl_mbmsynthesis_compute(''edit_seed'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_kmeans', ...
	'Units','normalized','Position',[0.6 0.18 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','K-means');

uicontrol('Parent',a,'Style','edit','Tag','EditText_kmeans', ...
	'Units','normalized','Position',[0.81 0.2 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
    'String','10', ...
    'Callback','fl_mbmsynthesis_compute(''edit_kmeans'')');

%%%%%%%%%%%%%%%%%%%% COMPUTE/HELP/CLOSE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Tag','Button_compute', ...
	'Units','normalized','Position',[0.025 0.034 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Compute', ...
    'Callback','eval([''global '' fl_mbmsynthesis_compute(''compute'',who)])');

uicontrol('Parent',a,'Tag','Button_help', ...
	'Units','normalized','Position',[0.4 0.034 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Help', ...
	'Callback','fl_mbmsynthesis_compute(''help'')');

uicontrol('Parent',a,'Tag','Button_close', ...
	'Units','normalized','Position',[0.75 0.034 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Close', ...
	'Callback','fl_mbmsynthesis_compute(''close'')');

fl_window_init(a);	
	
if nargout > 0, fig = a; end
