function fig = gui_fl_wbpsynthesis()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

% Author Christian Choque Cortez, October 2009.

% FracLab 2.05 Beta, Copyright  1996 - 2009 by INRIA
% -- --
% For details on use and redistribution refer to $fraclab/licence.txt
%--------------------------------------------------------------------------

a = figure( 'Name','wbp Synthesis','Tag','Fig_gui_fl_wbpsynthesis',...
	'MenuBar','none','IntegerHandle','off','NumberTitle','off','Position',[20 50 300 270]);

%%%%%%%%%%%%%%%%%%% CREATE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','frame','Tag','Frame_title', ...
	'Units','normalized','Position',[0.023 0.83 0.96 0.12]);

uicontrol('Parent',a,'Style','frame','Tag','Frame_input', ...
	'Units','normalized','Position',[0.023 0.16 0.96 0.65]);

%%%%%%%%%%%%%%%%%%% TITLE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_title', ...
	'Units','normalized','Position',[0.06 0.84 0.9 0.08], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.6, ...
	'String','Wavelet-Based Process Synthesis');

%%%%%%%%%%%%%%%%%%%% GLOBAL PARAMETERS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','radiobutton','Tag','RadioButton_wave1f', ...
    'Units','normalized','Position',[0.05 0.71 0.32 0.075], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','1/f Gaussian', ...
    'Value',1, ...
    'Callback','fl_wbpsynthesis_compute(''wave1f_option'');');

uicontrol('Parent',a,'Style','radiobutton','Tag','RadioButton_lacunary', ...
    'Units','normalized','Position',[0.4 0.71 0.35 0.075], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','Lacunary', ...
    'Value',0, ...
    'Callback','fl_wbpsynthesis_compute(''lacunary_option'');');

uicontrol('Parent',a,'Style','text','Tag','StaticText_wavelet', ...
	'Units','normalized','Position',[0.05 0.58 0.32 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Wavelet');

uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_wavelet', ...
	'Units','normalized','Position',[0.4 0.6 0.56 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String',{'Daubechies 2','Daubechies 4','Daubechies 6','Daubechies 8', ...
              'Daubechies 10','Daubechies 12','Daubechies 14','Daubechies 16', ...
              'Daubechies 18','Daubechies 20','Coiflet 6','Coiflet 12','Coiflet 18','Coiflet 24'}, ...
	'Value',2);

uicontrol('Parent',a,'Style','text','Tag','StaticText_exponent', ...
	'Units','normalized','Position',[0.05 0.47 0.35 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Holder exponent');

uicontrol('Parent',a,'Style','slider','Tag','Slider_exponent', ...
	'Units','normalized','Position',[0.4 0.49 0.3 0.075], ...
	'Value',0.5, ...
	'Callback','fl_wbpsynthesis_compute(''slider_exponent'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_exponent', ...
	'Units','normalized','Position',[0.79 0.49 0.17 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','0.5', ...
	'Callback','fl_wbpsynthesis_compute(''edit_exponent'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_sample', ...
	'Units','normalized','Position',[0.05 0.365 0.27 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Sample size');

uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_sample', ...
	'Units','normalized','Position',[0.4 0.39 0.3 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String',{'8 points','16 points','32 points','64 points','128 points',...
              '256 points','512 points','1024 points','2048 points','4096 points'}, ...
	'Value',8, ...
	'Callback','fl_wbpsynthesis_compute(''popmenu_sample'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_sample', ...
	'Units','normalized','Position',[0.79 0.385 0.17 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1024', ...
    'Callback','fl_wbpsynthesis_compute(''edit_sample'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_octave', ...
	'Units','normalized','Position',[0.05 0.26 0.31 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','# octaves');

uicontrol('Parent',a,'Style','slider','Tag','Slider_coef', ...
	'Units','normalized','Position',[0.4 0.28 0.3 0.075], ...
	'enable','off', ...
	'Callback','fl_wbpsynthesis_compute(''slider_coef'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_octave', ...
	'Units','normalized','Position',[0.79 0.28 0.17 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
    'String','10', ...
	'Callback','fl_wbpsynthesis_compute(''edit_noctave'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_seed', ...
	'Units','normalized','Position',[0.05 0.17 0.3 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Random seed');

uicontrol('Parent',a,'Style','edit','Tag','EditText_seed', ...
	'Units','normalized','Position',[0.4 0.185 0.17 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'Callback','fl_wbpsynthesis_compute(''edit_seed'')');

%%%%%%%%%%%%%%%%%%%% COMPUTE/HELP/CLOSE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

uicontrol('Parent',a,'Tag','Button_compute', ...
	'Units','normalized','Position',[0.025 0.02 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Compute', ....
    'Callback','eval([''global '' fl_wbpsynthesis_compute(''compute'',who)])');

uicontrol('Parent',a,'Tag','Button_help', ...
	'Units','normalized','Position',[0.4 0.02 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Help', ...
    'Callback','fl_wbpsynthesis_compute(''help'')');

uicontrol('Parent',a,'Tag','Button_close', ...
	'Units','normalized','Position',[0.75 0.02 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Close', ...
    'Callback','fl_wbpsynthesis_compute(''close'')');

fl_window_init(a);	
	
if nargout > 0, fig = a; end
