function fig = gui_fl_weisynthesis()
% This is the machine-generated representation of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

% Author Christian Choque Cortez, October 2009.

% FracLab 2.05 Beta, Copyright  1996 - 2009 by INRIA
% -- --
% For details on use and redistribution refer to $fraclab/licence.txt
%--------------------------------------------------------------------------

a = figure( 'Name','wei Synthesis - stochastic','Tag','Fig_gui_fl_weisynthesis',...
	'MenuBar','none','IntegerHandle','off','NumberTitle','off','Position',[20 50 350 270]);

%%%%%%%%%%%%%%%%%%% CREATE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','frame','Tag','Frame_title', ...
	'Units','normalized','Position',[0.023 0.83 0.96 0.12]);

uicontrol('Parent',a,'Style','frame','Tag','Frame_input', ...
	'Units','normalized','Position',[0.023 0.178 0.96 0.63]);

%%%%%%%%%%%%%%%%%%% TITLE FRAME %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','text','Tag','StaticText_title', ...
	'Units','normalized','Position',[0.06 0.84 0.9 0.08], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.6, ...
	'String','Weierstrass function Stochastic Synthesis');

%%%%%%%%%%%%%%%%%%%% GLOBAL PARAMETERS %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Style','radiobutton','Tag','RadioButton_standard', ...
    'Units','normalized','Position',[0.04 0.71 0.32 0.075], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','Standard', ...
    'Value',1, ...
    'Callback','fl_weisynthesis_compute(''standard_option'');');

uicontrol('Parent',a,'Style','radiobutton','Tag','RadioButton_generalized', ...
    'Units','normalized','Position',[0.35 0.71 0.25 0.075], ...
    'FontUnits','normalized','FontSize',0.6, ...
    'String','Generalized', ...
    'Value',0, ...
    'Callback','fl_weisynthesis_compute(''generalized_option'');');

uicontrol('Parent',a,'Style','text','Tag','StaticText_holder', ...
	'Units','normalized','Position',[0.04 0.59 0.27 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Holder exponent');

uicontrol('Parent',a,'Style','slider','Tag','Slider_exponent', ...
	'Units','normalized','Position',[0.33 0.6 0.3 0.075], ...
	'Value',0.5, ...
	'Callback','fl_weisynthesis_compute(''slider_exponent'')');

uicontrol('Parent',a,'Style','edit','Tag','PopupMenu_exponent', ...
	'Units','normalized','Position',[0.81 0.61 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
    'String','0.5', ...
    'Callback','fl_weisynthesis_compute(''popmenu_exponent'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_fexponent', ...
	'Units','normalized','Position',[0.33 0.51 0.63 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','','Enable','off', ...
	'Callback','fl_weisynthesis_compute(''edit_fexponent'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_sample', ...
	'Units','normalized','Position',[0.05 0.375 0.21 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Sample Size');

uicontrol('Parent',a,'Style','popupmenu','Tag','PopupMenu_sample', ...
	'Units','normalized','Position',[0.33 0.4 0.3 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String',{'8 points','16 points','32 points','64 points','128 points',...
              '256 points','512 points','1024 points','2048 points','4096 points'}, ...
	'Value',8, ...
    'Callback','fl_weisynthesis_compute(''popmenu_sample'')');

uicontrol('Parent',a,'Style','edit','Tag','EditText_sample', ...
	'Units','normalized','Position',[0.81 0.39 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1024', ...
    'Callback','fl_weisynthesis_compute(''edit_sample'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_tmax', ...
	'Units','normalized','Position',[0.05 0.279 0.25 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Time support');

uicontrol('Parent',a,'Style','edit','Tag','EditText_tmax', ...
	'Units','normalized','Position',[0.33 0.295 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','1', ...
	'Callback','fl_weisynthesis_compute(''edit_tmax'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_frequency', ...
	'Units','normalized','Position',[0.6 0.279 0.19 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Frequency');

uicontrol('Parent',a,'Style','edit','Tag','EditText_frequency', ...
	'Units','normalized','Position',[0.81 0.295 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
	'String','2', ...
    'Callback','fl_weisynthesis_compute(''edit_frequency'')');
    
uicontrol('Parent',a,'Style','text','Tag','StaticText_seed', ...
	'Units','normalized','Position',[0.05 0.18 0.24 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','Random Seed');

uicontrol('Parent',a,'Style','edit','Tag','EditText_seed', ...
	'Units','normalized','Position',[0.33 0.2 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
    'Callback','fl_weisynthesis_compute(''edit_seed'')');

uicontrol('Parent',a,'Style','text','Tag','StaticText_nterms', ...
	'Units','normalized','Position',[0.6 0.18 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6,'HorizontalAlignment','left', ...
	'String','N terms');

uicontrol('Parent',a,'Style','edit','Tag','EditText_nterms', ...
	'Units','normalized','Position',[0.81 0.2 0.15 0.075], ...
	'FontUnits','normalized','FontSize',0.6, ...
    'String','50', ...
    'Callback','fl_weisynthesis_compute(''edit_nterms'')');

%%%%%%%%%%%%%%%%%%%% COMPUTE/HELP/CLOSE %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
uicontrol('Parent',a,'Tag','Button_compute', ...
	'Units','normalized','Position',[0.025 0.034 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Compute', ...
    'Callback','eval([''global '' fl_weisynthesis_compute(''compute'',who)])');

uicontrol('Parent',a,'Tag','Button_help', ...
	'Units','normalized','Position',[0.4 0.034 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Help', ...
	'Callback','fl_weisynthesis_compute(''help'')');

uicontrol('Parent',a,'Tag','Button_close', ...
	'Units','normalized','Position',[0.75 0.034 0.23 0.12], ...
	'FontUnits','normalized','FontWeight','bold','FontSize',0.4, ...
    'String','Close', ...
	'Callback','fl_weisynthesis_compute(''close'')');

fl_window_init(a);	
	
if nargout > 0, fig = a; end
